Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158550 - On alphas it doesnt see the "noarch" packages from repo.
Summary: On alphas it doesnt see the "noarch" packages from repo.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 14:46 UTC by Balint Cristian
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 14:54:52 UTC


Attachments (Terms of Use)

Description Balint Cristian 2005-05-23 14:46:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
On alphas it cannot see the "noarch" packages so it cant work.   
 
Atthach a patch to fix this, tested by more users: 
--- rpmUtils/arch.py.orig    2004-10-31 05:24:17.000000000 +0200 
+++ rpmUtils/arch.py 2005-05-13 11:30:49.000000000 +0300 
@@ -41,7 +41,13 @@ 
     "sparc64": "sparcv9", 
     "sparcv9": "sparcv8", 
     "sparcv8": "sparc", 
-    "sparc": "noarch" 
+    "sparc": "noarch", 
+ 
+    # alpha 
+    "alphaev6": "alphaev56", 
+    "alphaev56": "alphaev5", 
+    "alphaev5": "alpha", 
+    "alpha": "noarch" 
     } 
 
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. On alphas [eg on AlphaCore-0.9] yum -y update 
   

Additional info:

  As project leader on alpha-core wich is an effort to port fedora core for alpha, kindly   
request to merge this small patch mainline. We prepare ourselfs to push as much 
possible alpha specific patches to Fedora mainline, and expect to push out FC4 too. 
 
  Thanks !

Comment 1 Jeremy Katz 2005-05-23 14:54:52 UTC
Committed to upstream yum, so we'll get this when 2.3.3 comes out.


Note You need to log in before you can comment on or make changes to this bug.